Loading...
Searching...
No Matches
xmpp Class Reference

## Public Member Functions

| sendMessage ( $to, $message)
| pubsubCreate ( $to, $type, $name, $configure=null)
| pubsubConfig ( $to, $type, $name)
| pubsubDelete ( $to, $type, $name)
| pubsubPurge ( $to, $type, $name)
| pubsubPublish ( $to, $type, $name, $contents, $nodeId)

## Public Attributes

| $server
| $port
| $jid
| $resource
| $password
| $tls
| $idle
| $status
| $pubsubLayout ='hometree'

## Private Member Functions

| connect ()
| handleFeatures (&$node)
| enableTLS ( $node)
| digestAuth (&$node)
| handleSuccess (&$node)
| handleIq (&$node)
| handleMessage (&$node)
| handleError (&$node)
| disco ( $to, $type, $name)
| discoResult (&$node)
| pubsubCreateNode ( $to, $type, $name, $configure=null)
| pubsubSubscribe ( $to, $type, $name)
| pubsubResult (&$node)
| pubsubDoNext ()
| initializeQueue ()
| send ( $data)
| recv ()
| go ()
| startElement ( $parser, $name, $attrs)
| endElement ( $parser, $name)
| parseData ( $parser, $text)
| setupXmlParser ()

## Private Attributes

| $connection
| $streamTagBegin
| $streamTagEnd
| $mesgcount =0
| $ready
| $moredata =false
| $username
| $stream
| $xmlparser
| $xquery
| $namespaces = Array()
| $recvTags = Array()
| $recvHandlers = Array()
| $sendHandlers = Array()
| $finishedCommands = Array()
| $sendQueue = Array()
| $recvQueue = ''
| $pubsubNext = Array()
| $depth = 0
| $processDepth =0

## Detailed Description

Definition at line 11 of file pubsub.php.

## Constructor & Destructor Documentation

## __construct()

xmpp::__construct | ( |  | ) |

Definition at line 26 of file pubsub.php.

## Member Function Documentation

## connect()

xmpp::connect | ( |  | ) |

private

Definition at line 33 of file pubsub.php.

## digestAuth()

xmpp::digestAuth | ( | & | $node | ) |

private

Definition at line 123 of file pubsub.php.

## disco()

xmpp::disco | ( |  | $to,
|  |  | $type,
|  |  | $name )

private

Definition at line 222 of file pubsub.php.

## discoResult()

xmpp::discoResult | ( | & | $node | ) |

private

Definition at line 234 of file pubsub.php.

## enableTLS()

xmpp::enableTLS | ( |  | $node | ) |

private

Definition at line 114 of file pubsub.php.

## endElement()

xmpp::endElement | ( |  | $parser,
|  |  | $name )

private

Definition at line 602 of file pubsub.php.

## go()

xmpp::go | ( |  | ) |

private

Definition at line 523 of file pubsub.php.

## handleError()

xmpp::handleError | ( | & | $node | ) |

private

Definition at line 214 of file pubsub.php.

## handleFeatures()

xmpp::handleFeatures | ( | & | $node | ) |

private

Definition at line 80 of file pubsub.php.

## handleIq()

xmpp::handleIq | ( | & | $node | ) |

private

Definition at line 169 of file pubsub.php.

## handleMessage()

xmpp::handleMessage | ( | & | $node | ) |

private

Definition at line 199 of file pubsub.php.

## handleSuccess()

xmpp::handleSuccess | ( | & | $node | ) |

private

Definition at line 157 of file pubsub.php.

## initializeQueue()

xmpp::initializeQueue | ( |  | ) |

private

Definition at line 468 of file pubsub.php.

## parseData()

xmpp::parseData | ( |  | $parser,
|  |  | $text )

private

Definition at line 615 of file pubsub.php.

## pubsubConfig()

xmpp::pubsubConfig | ( |  | $to,
|  |  | $type,
|  |  | $name )

Definition at line 295 of file pubsub.php.

## pubsubCreate()

xmpp::pubsubCreate | ( |  | $to,
|  |  | $type,
|  |  | $name,
|  |  | $configure = null )

Definition at line 259 of file pubsub.php.

## pubsubCreateNode()

xmpp::pubsubCreateNode | ( |  | $to,
|  |  | $type,
|  |  | $name,
|  |  | $configure = null )

private

Definition at line 274 of file pubsub.php.

## pubsubDelete()

xmpp::pubsubDelete | ( |  | $to,
|  |  | $type,
|  |  | $name )

Definition at line 312 of file pubsub.php.

## pubsubDoNext()

xmpp::pubsubDoNext | ( |  | ) |

private

Definition at line 449 of file pubsub.php.

## pubsubPublish()

xmpp::pubsubPublish | ( |  | $to,
|  |  | $type,
|  |  | $name,
|  |  | $contents,
|  |  | $nodeId )

Definition at line 346 of file pubsub.php.

## pubsubPurge()

xmpp::pubsubPurge | ( |  | $to,
|  |  | $type,
|  |  | $name )

Definition at line 329 of file pubsub.php.

## pubsubResult()

xmpp::pubsubResult | ( | & | $node | ) |

private

Definition at line 391 of file pubsub.php.

## pubsubSubscribe()

xmpp::pubsubSubscribe | ( |  | $to,
|  |  | $type,
|  |  | $name )

private

Definition at line 375 of file pubsub.php.

## recv()

xmpp::recv | ( |  | ) |

private

Definition at line 495 of file pubsub.php.

## send()

xmpp::send | ( |  | $data | ) |

private

Definition at line 480 of file pubsub.php.

## sendMessage()

xmpp::sendMessage | ( |  | $to,
|  |  | $message )

Definition at line 249 of file pubsub.php.

## setupXmlParser()

xmpp::setupXmlParser | ( |  | ) |

private

Definition at line 621 of file pubsub.php.

## startElement()

xmpp::startElement | ( |  | $parser,
|  |  | $name,
|  |  | $attrs )

private

Definition at line 574 of file pubsub.php.

## Member Data Documentation

## $connection

xmpp::$connection

private

Definition at line 13 of file pubsub.php.

## $depth

xmpp::$depth = 0

private

Definition at line 22 of file pubsub.php.

## $finishedCommands

xmpp::$finishedCommands = Array()

private

Definition at line 18 of file pubsub.php.

## $idle

xmpp::$idle

Definition at line 23 of file pubsub.php.

## $jid

xmpp::$jid

Definition at line 23 of file pubsub.php.

## $mesgcount

xmpp::$mesgcount =0

private

Definition at line 13 of file pubsub.php.

## $moredata

xmpp::$moredata =false

private

Definition at line 13 of file pubsub.php.

## $namespaces

xmpp::$namespaces = Array()

private

Definition at line 14 of file pubsub.php.

## $password

xmpp::$password

Definition at line 23 of file pubsub.php.

## $port

xmpp::$port

Definition at line 23 of file pubsub.php.

## $processDepth

xmpp::$processDepth =0

private

Definition at line 22 of file pubsub.php.

## $pubsubLayout

xmpp::$pubsubLayout ='hometree'

Definition at line 23 of file pubsub.php.

## $pubsubNext

xmpp::$pubsubNext = Array()

private

Definition at line 21 of file pubsub.php.

## $ready

xmpp::$ready

private

Definition at line 13 of file pubsub.php.

## $recvHandlers

xmpp::$recvHandlers = Array()

private

Definition at line 16 of file pubsub.php.

## $recvQueue

xmpp::$recvQueue = ''

private

Definition at line 20 of file pubsub.php.

## $recvTags

xmpp::$recvTags = Array()

private

Definition at line 15 of file pubsub.php.

## $resource

xmpp::$resource

Definition at line 23 of file pubsub.php.

## $sendHandlers

xmpp::$sendHandlers = Array()

private

Definition at line 17 of file pubsub.php.

## $sendQueue

xmpp::$sendQueue = Array()

private

Definition at line 19 of file pubsub.php.

## $server

xmpp::$server

Definition at line 23 of file pubsub.php.

## $status

xmpp::$status

Definition at line 23 of file pubsub.php.

## $stream

xmpp::$stream

private

Definition at line 13 of file pubsub.php.

## $streamTagBegin

xmpp::$streamTagBegin

private

Definition at line 13 of file pubsub.php.

## $streamTagEnd

xmpp::$streamTagEnd

private

Definition at line 13 of file pubsub.php.

## $tls

xmpp::$tls

Definition at line 23 of file pubsub.php.

## $username

xmpp::$username

private

Definition at line 13 of file pubsub.php.

## $xmlparser

xmpp::$xmlparser

private

Definition at line 13 of file pubsub.php.

## $xquery

xmpp::$xquery

private

Definition at line 13 of file pubsub.php.

The documentation for this class was generated from the following file:

- inc/pubsub.php